Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356620 - quantum-espresso FTBFS on aarch64
Summary: quantum-espresso FTBFS on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quantum-espresso
Version: 24
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1355896
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 13:29 UTC by D. Marlin
Modified: 2016-09-21 00:35 UTC (History)
1 user (show)

Fixed In Version: quantum-espresso-5.4.0-10.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-21 00:35:23 UTC


Attachments (Terms of Use)

Description D. Marlin 2016-07-14 13:29:08 UTC
Description of problem:

quantum-espresso fails to build from source for Fedora 24 on AArch64.


Version-Release number of selected component (if applicable):

quantum-espresso-5.3.0-8.fc24


How reproducible:

consistently


Steps to Reproduce:
1.  On an AArch64 host:
    mock -r fedora-24-aarch64 quantum-espresso-5.3.0-8.fc24.src.rpm
2.
3.

Actual results:

error: Architecture is not included: aarch64


Expected results:

builds without errors.


Additional info:

This package is ExclusiveArch: x86_64 %{ix86} ppc64le. According to the comment:

  # openblas-devel is exclusive

A patch has now been submitted to enable AArch64 builds of openblas.  

   https://bugzilla.redhat.com/show_bug.cgi?id=1355896

Using the patched version to fulfill the dependency, and adding 'aarch64' to the ExclusiveArch list, allows quantum-espresso to successfully build on AArch64.

Comment 1 Fedora Update System 2016-09-18 13:43:19 UTC
quantum-espresso-5.4.0-10.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2680d13112

Comment 2 Fedora Update System 2016-09-19 05:22:27 UTC
quantum-espresso-5.4.0-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2680d13112

Comment 3 Fedora Update System 2016-09-21 00:35:23 UTC
quantum-espresso-5.4.0-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.